class World 
  def initialize(width,height,map)
    #super(width,height,map)
  end
  
  def notify_arrived(pos)
  end

  def notify_leave(pos)
  end
  
  def reweight(a,b,c,d)
  end

  def set_info(pos,info)
  end

  def [](pos)
    return 0
  end
end

